//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TP_Commande
    {
        public TP_Commande()
        {
            this.TP_Commande_Emballage = new HashSet<TP_Commande_Emballage>();
            this.TP_Commande_Liquide = new HashSet<TP_Commande_Liquide>();
        }
    
        public long ID_Commande { get; set; }
        public int ID_Fournisseur { get; set; }
        public System.DateTime Date { get; set; }
        public Nullable<double> Montant { get; set; }
        public string NUM_DOC { get; set; }
        public byte Etat { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
    
        public virtual ICollection<TP_Commande_Emballage> TP_Commande_Emballage { get; set; }
        public virtual ICollection<TP_Commande_Liquide> TP_Commande_Liquide { get; set; }
        public virtual TP_Fournisseur TP_Fournisseur { get; set; }
    }
}
